> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List entries of a stage

> List the entries of one stage, ordered by their board position. `laneId` is the stage's id
from the pipeline's `lanes`. Paginated via `skip` (default 0) and `limit` (default 50,
maximum 200).



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /pipelines/{pipelineId}/entries
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /pipelines/{pipelineId}/entries:
    get:
      tags:
        - Pipelines
      summary: List entries of a stage
      description: >-
        List the entries of one stage, ordered by their board position. `laneId`
        is the stage's id

        from the pipeline's `lanes`. Paginated via `skip` (default 0) and
        `limit` (default 50,

        maximum 200).
      operationId: ListEntries
      parameters:
        - in: path
          name: pipelineId
          required: true
          schema:
            type: string
        - in: query
          name: laneId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
        - in: query
          name: skip
          required: false
          schema:
            type: number
            format: double
        - in: query
          name: limit
          required: false
          schema:
            type: number
            format: double
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                items:
                  allOf:
                    - properties:
                        updatedAt:
                          $ref: '#/components/schemas/NativeDate'
                        createdAt:
                          $ref: '#/components/schemas/NativeDate'
                      required:
                        - updatedAt
                        - createdAt
                      type: object
                    - properties:
                        laneChangedAt:
                          type: string
                          format: date-time
                        recordSnapshot:
                          properties:
                            subtitle:
                              type: string
                            plan:
                              type: string
                            externalId:
                              type: string
                            value:
                              type: number
                              format: double
                            name:
                              type: string
                          type: object
                        laneId:
                          type: string
                        lexorank:
                          type: string
                        createdBy:
                          properties:
                            isValid:
                              properties: {}
                              type: object
                            createFromHexString:
                              properties: {}
                              type: object
                            createFromTime:
                              properties: {}
                              type: object
                            generate:
                              properties: {}
                              type: object
                            cacheHexString: {}
                          type: object
                        recordId:
                          properties:
                            isValid:
                              properties: {}
                              type: object
                            createFromHexString:
                              properties: {}
                              type: object
                            createFromTime:
                              properties: {}
                              type: object
                            generate:
                              properties: {}
                              type: object
                            cacheHexString: {}
                          type: object
                        recordType:
                          type: string
                          enum:
                            - COMPANY
                            - CONTACT
                        pipeline:
                          properties:
                            isValid:
                              properties: {}
                              type: object
                            createFromHexString:
                              properties: {}
                              type: object
                            createFromTime:
                              properties: {}
                              type: object
                            generate:
                              properties: {}
                              type: object
                            cacheHexString: {}
                          type: object
                        project:
                          properties:
                            isValid:
                              properties: {}
                              type: object
                            createFromHexString:
                              properties: {}
                              type: object
                            createFromTime:
                              properties: {}
                              type: object
                            generate:
                              properties: {}
                              type: object
                            cacheHexString: {}
                          type: object
                        values: {}
                      required:
                        - recordId
                        - recordType
                        - pipeline
                        - project
                        - values
                      type: object
                    - $ref: '#/components/schemas/Document_any.any.any_'
                    - properties:
                        _id:
                          $ref: '#/components/schemas/ObjectId'
                      required:
                        - _id
                      type: object
                type: array
      security:
        - jwt: []
components:
  schemas:
    NativeDate:
      type: string
    Document_any.any.any_:
      $ref: '#/components/schemas/FlattenMaps_T_'
      description: >-
        Generic types for Document:

        *  T - the type of _id

        *  TQueryHelpers - Object with any helpers that should be mixed into the
        Query type

        *  DocType - the type of the actual Document created
    ObjectId:
      type: string
    FlattenMaps_T_:
      properties: {}
      type: object
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````